%define api_ver 0.8

Name:           clutter-cairomm
Version:        0.7.2
Release:        1%{?dist}

Summary:        C++ wrapper for clutter-cairo library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/clutter-cairomm/0.7/%{name}-%{version}.tar.bz2
Patch0:         clutter-cairomm-0.7.2-pclib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-cairo-devel
BuildRequires: cluttermm-devel
BuildRequires: cairomm-devel
BuildRequires: doxygen graphviz


%description
Clutter-cairomm is a C++ wrapper library for clutter-cairo: a library
that allows clutter to be embedded in cairo applications. Clutter is
an OpenGL-based library for creating fast, visually rich and animated
graphical user interfaces.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cluttermm-devel
Requires:       cairomm-devel
Requires:       pkgconfig


%description devel
This package contains the static libraries and header files needed for
developing %{name} applications.


%prep
%setup -q
%patch0 -p1 -b .pclib


%build
%configure --enable-shared --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Remove files related to code generation
rm -rf $RPM_BUILD_ROOT%{_libdir}/clutter-cairomm-%{api_ver}
rm -rf $RPM_BUILD_ROOT%{_libdir}/cluttermm-%{api_ver}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libclutter-cairomm-0.8.so.*


%files devel
%defattr(-, root, root, -)
%doc docs/reference/html/ examples/test-actors.cc
%{_includedir}/clutter-cairomm-%{api_ver}
%{_libdir}/libclutter-cairomm-%{api_ver}.so
%{_libdir}/pkgconfig/%{name}-%{api_ver}.pc


%changelog
* Sun Sep  7 2008 Denis Leroy <denis@poolshark.org> - 0.7.2-1
- Initial version

